"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_1 = require("graphql");
function printSchemaWithDirectives(schema) {
    const allTypes = schema.getTypeMap();
    const allTypesAst = Object.keys(allTypes)
        .map(key => allTypes[key].astNode)
        .filter(a => a);
    const directivesAst = schema.getDirectives().map(def => def.astNode).filter(a => a);
    return allTypesAst.length === 0 && directivesAst.length === 0 ? graphql_1.printSchema(schema) : [...allTypesAst, ...directivesAst].map(ast => graphql_1.print(ast)).join('\n');
}
exports.printSchemaWithDirectives = printSchemaWithDirectives;
//# sourceMappingURL=print-schema-with-directives.js.map